Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.commitlog
Interface CommitLogMBean

All Known Implementing Classes:
  CommitLog

    public interface CommitLogMBean

Method Summary
`long` | `getCompletedTasks()` Get the number of completed tasks
`long` | `getPendingTasks()` Get the number of tasks waiting to be executed
`long` | `getTotalCommitlogSize()` Get the current size used by all the commitlog segments.

Method Detail

### getCompletedTasks

    long getCompletedTasks()

  Get the number of completed tasks

### getPendingTasks

    long getPendingTasks()

  Get the number of tasks waiting to be executed

### getTotalCommitlogSize

    long getTotalCommitlogSize()

  Get the current size used by all the commitlog segments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Apache Software Foundation